#
# Conditional build:
%bcond_with	tests	# perform "make test" - needs working audio device

%define		pdir	Audio
%define		pnam	MikMod
Summary:	Audio::MikMod Perl module - extension for libmikmod
Summary(pl.UTF-8):	Moduł Perla Audio::MikMod - rozszezenie do libmikmod
Name:		perl-Audio-MikMod
Version:	0.5
Release:	23
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	31c8f3dfe79feebcef803a7683596ae4
URL:		http://search.cpan.org/dist/Audio-MikMod/
BuildRequires:	libmikmod-devel >= 3.1.7
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an interface to the libmikmod library for playing
MOD, IT, XM, S3M, MTM, 669, STM, ULT, FAR, MED, AMF, DSM, IMF, GDM,
and STX tracker files. In addition, manipulation of WAV samples is
supported.

%description -l pl.UTF-8
Ten moduł udostępnia interfejs do biblioteki libmikmod w celu
odtwarzania plików MOD, IT, XM, S3M, MTM, 669, STM, ULT, FAR, MED,
AMF, DSM, IMF, GDM i STX. Dodatkowo umożliwia obsługę sampli WAV.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p demo/{*pm,player*} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Audio/MikMod.pm
%dir %{perl_vendorarch}/auto/Audio/MikMod
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/MikMod/*.so
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*pm
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/player*
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Audio-MikMod.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 9eacbcb
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 32b641c
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 9e31f5e
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 3bc5ba9
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> a0b6ede
- rebuild with perl 5.30.0
- release 20 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 731c5a5
- rebuild with perl 5.28.0
- release 19 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e85ec9d
- perl req/prov fix
- release 18 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7b3087f
- rebuild with perl 5.26
- release 17 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 127119f
- rebuild with perl 5.24.0
- release 16 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> a71ed79
- release 15 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 24c5b34
- x32 rebuild
- release 14 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 3e8975c
- use generic url

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> df18766
- release 13 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 96ceb38
- release 12 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3419769
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e963e4b
- rebuild for perl 5.20
- release 11 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 84faa87
- rebuild with perl 5.18.0
- release 10 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f9a3ba
- release 9

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ef7a0f3
- rel 8

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 5cee49a
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

